First time here? Check out the FAQ!
x

Is the Eazy Wizard viewer software compatible with OS X 10.5.8?

0 votes
asked by about EaZy Wizard
edited by

Is the Eazy Wizard viewer software compatible with OS X 10.5.8?

1 Answer

0 votes
answered by (329k points)
edited by

According to the information found on the official website, the product is not compatible with OS X 10.5.8. The supported OS X versions are the following: Mac OS 10.6x, 10.7x, 10.8, 10.9. To find more information about it, visit its official website.

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...